Create a fund investment
POST
/portfolio/transactions/investments/fundRecords a fund-level investment transaction, issuing shares from a source asset into the target fund asset. Optionally ties the investment to a specific investor.
Request body
application/json, required · PortfolioCreateFundInvestmentRequest
{
"asset_id": 1,
"source_asset_id": 1,
"investor_id": 1,
"date": "2026-06-12T10:00:00+00:00",
"number_of_shares_issued": 1,
"price_per_unit": 1,
"total_value": 1,
"type": "cash"
}Responses
{
"data": {
"id": 1,
"type": "string",
"guid": "string",
"created_at": "string"
}
}422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/investments/fund\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"asset_id": 1,
"source_asset_id": 1,
"investor_id": 1,
"date": "2026-06-12T10:00:00+00:00",
"number_of_shares_issued": 1,
"price_per_unit": 1,
"total_value": 1,
"type": "cash"
}'